Name:           python-bravado-core
Version:        5.17.1
Release:    	2%{?dist}
Summary:        Library for adding Swagger support to clients and servers

License:        BSD-3-Clause
URL:            https://github.com/Yelp/bravado-core
Source0:         %{url}/archive/v%{version}/bravado-core-%{version}.tar.gz
Patch0:          0001-Use-standard-library-mock-when-possible.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
bravado-core is a Python library that adds client-side and server-side support
for the OpenAPI Specification v2.0.}


%description %_description


%package -n     python3-bravado-core
Summary:        %{summary}


%description -n python3-bravado-core %_description


%prep
%autosetup -n bravado-core-%{version} -p 1
sed -i "s/jsonschema\[format\]/jsonschema/" setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files bravado_core


%check
%pytest -v \
    -k 'not recursive' \
    --ignore tests/profiling


%files -n python3-bravado-core -f %{pyproject_files}
%doc README.rst


%changelog
* Fri Sep 13 2024 bbrucezhang <bbrucezhang@tencent.com> - 5.17.1-2
- [Type] other
- [DESC] Fix BuildRequires

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.17.1-1
- initial build
